package il.ac.tau.cs.sw1.swt;

import java.net.MalformedURLException;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;

public class ImageDemo {
	public static void main(String[] args) throws MalformedURLException {
		Display display = Display.getDefault();
		Shell shell = new Shell();
		shell.setText("Image Demo");
		shell.setLayout(new RowLayout());

		ImageDescriptor smileyDesc = ImageDescriptor.createFromFile(
				ImageDemo.class, "Smiley.gif");
		Image smiley = smileyDesc.createImage();
		for (int i = 0; i < 10; i++) {
			Label lbl = new Label(shell, SWT.CENTER);
			lbl.setImage(smiley);
		}

		shell.pack();
		shell.open();
		while (!shell.isDisposed()) {
			if (!display.readAndDispatch())
				display.sleep();
		}
		smiley.dispose();
		display.dispose();
	}
}
