package il.ac.tau.cs.sw1.swt;

import java.net.MalformedURLException;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Menu;
import org.eclipse.swt.widgets.MenuItem;
import org.eclipse.swt.widgets.Shell;

public class MenuDemo {
	public static void main(String[] args) throws MalformedURLException {
		Display display = Display.getDefault();
		Shell shell = new Shell();
		shell.setText("Menu Demo");
		shell.setLayout(new RowLayout());

		Menu top = new Menu(shell, SWT.BAR);
		MenuItem file = new MenuItem(top, SWT.CASCADE);
		file.setText("&File");
		Menu fileMenu = new Menu(shell, SWT.DROP_DOWN);
		file.setMenu(fileMenu);
		MenuItem newItem = new MenuItem(fileMenu, SWT.CASCADE);
		newItem.setText("&New");
		Menu newMenu = new Menu(shell, SWT.DROP_DOWN);
		newItem.setMenu(newMenu);
		MenuItem new_file = new MenuItem(newMenu, SWT.NULL);
		new_file.setText("F&ile\tCtrl+N");
		new_file.setAccelerator(SWT.CTRL + 'N');
		MenuItem new_project = new MenuItem(newMenu, SWT.NULL);
		new_project.setText("&Project\tAlt+P");
		new_project.setAccelerator(SWT.ALT + 'P');
		MenuItem open = new MenuItem(fileMenu, SWT.NULL);
		open.setText("&Open...\tCtrl+O");
		open.setAccelerator(SWT.CTRL + 'O');
		MenuItem close = new MenuItem(fileMenu, SWT.NULL);
		close.setText("&Close\tCtrl+F4");
		close.setAccelerator(SWT.CTRL + SWT.F4);
		shell.setMenuBar(top);

		shell.pack();
		shell.open();
		while (!shell.isDisposed()) {
			if (!display.readAndDispatch())
				display.sleep();
		}
		display.dispose();
	}
}
