package il.ac.tau.cs.sw1.swt;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.layout.FormAttachment;
import org.eclipse.swt.layout.FormData;
import org.eclipse.swt.layout.FormLayout;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

public class ComposingComposites {
	private Shell shell;

	/* call createShell and run event loop */
	public static void main(String[] args) {
		Display display = Display.getDefault();
		ComposingComposites app = new ComposingComposites();
		app.createShell();
		app.shell.pack();
		app.shell.open();
		while (!app.shell.isDisposed()) {
			if (!display.readAndDispatch())
				display.sleep();
		}
		display.dispose();
	}

	public void createShell() {
		shell = new Shell();
		shell.setLayout(new FormLayout());

		// Fill Layout panel
		Composite fillComp = new Composite(shell, SWT.BORDER);
		fillComp.setLayout(new FillLayout(SWT.VERTICAL));
		Label label0 = new Label(fillComp, SWT.NONE);
		label0.setText("Instructions:");
		Label label1 = new Label(fillComp, SWT.NONE);
		label1.setText("1. Fill in your name");
		Label label2 = new Label(fillComp, SWT.NONE);
		label2.setText("2. Fill in your age");
		Label label3 = new Label(fillComp, SWT.NONE);
		label3.setText("3. Fill in your gender");
		Label label4 = new Label(fillComp, SWT.NONE);
		label4.setText("4. Check the box for employment");
		Label label5 = new Label(fillComp, SWT.NONE);
		label5.setText("5. Click on OK");
		FormData formData = new FormData();
		formData.top = new FormAttachment(0, 0);
		fillComp.setLayoutData(formData);

		// Row Layout panel
		Composite rowComp = new Composite(shell, SWT.NONE);
		RowLayout rowLayout = new RowLayout(SWT.HORIZONTAL);
		rowLayout.pack = false;
		rowComp.setLayout(rowLayout);
		Button b1 = new Button(rowComp, SWT.PUSH);
		b1.setText("Address");
		Button b2 = new Button(rowComp, SWT.PUSH);
		b2.setText("Phone Numbers");
		Button b3 = new Button(rowComp, SWT.PUSH);
		b3.setText("Credit Cards");
		Button b4 = new Button(rowComp, SWT.PUSH);
		b4.setText("Organizations");
		Button b5 = new Button(rowComp, SWT.PUSH);
		b5.setText("Cancel");
		Button b6 = new Button(rowComp, SWT.PUSH);
		b6.setText("OK");
		FormData formData2 = new FormData();
		formData2.bottom = new FormAttachment(100, -5);
		formData.bottom = new FormAttachment(rowComp, -10);
		rowComp.setLayoutData(formData2);

		// Grid Layout panel
		Composite gridComp = new Composite(shell, SWT.NONE);
		GridLayout gridLayout = new GridLayout();
		gridLayout.numColumns = 2;
		gridComp.setLayout(gridLayout);
		Label label11 = new Label(gridComp, SWT.NONE);
		FormData formData3 = new FormData();
		formData3.left = new FormAttachment(fillComp, 10);
		formData3.right = new FormAttachment(SWT.RIGHT);
		gridComp.setLayoutData(formData3);

		// name
		label11.setText("Name:");
		Text text12 = new Text(gridComp, SWT.BORDER);
		text12.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
		Label label21 = new Label(gridComp, SWT.NONE);

		// age
		label21.setText("Age:");
		Text text22 = new Text(gridComp, SWT.BORDER);
		text22.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
		Label label31 = new Label(gridComp, SWT.NONE);

		// gender
		label31.setText("Gender:");
		Text text32 = new Text(gridComp, SWT.BORDER);
		text32.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));

		// employment
		Composite composite = new Composite(gridComp, SWT.NONE);
		GridData gridData = new GridData(GridData.FILL_HORIZONTAL);
		gridData.horizontalSpan = 2;
		composite.setLayoutData(gridData);
		composite.setLayout(new RowLayout(SWT.HORIZONTAL));
		new Button(composite, SWT.CHECK);
		Label label42 = new Label(composite, SWT.NONE);
		label42.setText("Have you been employed in the past six months?");

	}
}
